import com.grapecity.documents.excel.Workbook;

public class DsExcelTemplateUtil {

	public static void main(String[] args) {
		//open Template
		var wb = new Workbook();
		wb.open("DemoTemplate.xlsx");
        wb.getNames().add("TemplateOptions.KeepLineSize", "true");

		//apply DataSource and process template
		SampleData _data = new SampleData();
		wb.addDataSource("ds", _data.getData());
		wb.processTemplate();

		//Included the highlight value in Excel, just hide that column
		wb.getWorksheets().get(0).getColumns().get(8).setHidden(true);

		//Save the File
		wb.save("ProcessedTemplate.xlsx");
		System.out.println("Saved");
	}
}
